You need QuickTime Player Version 5.0 or higher to view these videos.